

/* ------------------ EL CAROUSSEL TIENE CARDS, A LAS QUE DAREMOS CARACTERÍSTICAS PROPIAS ------------ */

#carousel{                    /*El div que contiene todas las card de subpáginas*/
    position: relative;
    overflow: hidden;
    
    margin: 0px auto 50px;
    width: 100%;
    max-width: 100%;

    border-radius: 15px;

    text-align: center;
    justify-items: center;

    animation: "carousel_izq";
    animation-duration: 2s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;

}

#carousel:hover{                    /*El div que contiene todas las card de subpáginas*/
    /* transform: scale(1.1); */
    cursor: pointer;
}


#card_carousel{         /*Da formato a todas las cards del carousel*/                     
    min-height: 540px;
    min-width: 900px;
    margin: 10px auto;
    justify-items: center;


    background: linear-gradient(rgb(207, 247, 255), rgba(119, 151, 255, 0.5));
    background-image: url("../img/fotos/hang.jpg");
    background-size: cover;
    
    border: 1px solid blue;
    border-radius: 10px;
    text-align: center;

    box-shadow: 0px 5px 5px 0px;
    overflow: hidden;
}

#card_carousel:hover #info_carousel{        /*Al meter ratón en card_carousel sale toda info*/
    animation-name: info_carousel_up;
    animation-duration: 3s;
    animation-fill-mode: forwards;
}

#card_carousel:hover #info_carousel_abajo{        /*Al meter ratón en card_carousel sale toda info*/
    animation-name: info_carousel_down;
    animation-duration: 3s;
    animation-fill-mode: forwards;
}

#card_carousel1{
    width: 500px;
}

.card_carousel img{
    width: 100%;
    
    border-radius: 10px;
}

/* ------------------------- El titulo del programa, y la info que sube con animación --------- */
#div_titulo_programa_carousel{
    width: 100%;

    /* background-color: whitesmoke; */
    height: 70px;
    border-radius: 10px 10px 0px 0px;
    align-content: center;
    color: white;
}

#titulo_prog_carousel{          /*El h2*/
    margin: 0px;
    /* width: 100%; */
}


#info_carousel{             /*Para empujar arriba la info desde abajo*/
    position: absolute;
    top: 485px;
    width: 99.8%;
    align-content: center;

    background-color: whitesmoke;
    border-radius: 0px 0px 10px 10px;

    /* align-self: end; */
}

#info_carousel_abajo{            /*la info del programa abajo con iconos*/
    position: absolute;
    top: 340px;
    width: 99.8%;
    padding-top: 10px;

    background-color: whitesmoke;
    border-radius: 0px 0px 10px 10px;

    /* display: none; */
    display: grid;
    grid-template-areas: "duracion boton beneficios";
    grid-template-columns: repeat(3,1fr);

    align-content: center;


}

@keyframes info_carousel_up {
    from{
        top:480px;
    }

    to{
        top:11px;
        border-radius: 10px;
        opacity: 80%;
    }
}

@keyframes info_carousel_down {
    from{
       top: 580px;
    }

    to{
        top: 455px;
        border-radius: 0px 0px 10px 10px;
        opacity: 80%;
    }
}

#div_boton_chulo_carousel{
    height: 40px;
    width: 120px;
    margin: auto auto;

    color: #1099bf;
    border: 2px solid white;
    border-radius: 10px;
    background-color: rgb(63, 2, 216);
    cursor: pointer;
    box-shadow: inset 0 0 0 0 aliceblue;

    align-content: center;
}

.div_boton_carousel a{

    color: white;
    align-content: center;
    text-decoration: none;
}

/* ---------------------------------- Controles del carousel ------------------------ */
.controls{          /*Los botones de anterior y siguiente*/ 
    position: absolute;
    top: 50%;
    margin: 0px 20px;    
    left: 0;
    right: 0;
    
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);

}

.controls button{
    background-color: rgba(119, 151, 255, 0.5);

    border-color: aliceblue;;

    color:white;
}

